<div class="container-fluid p-0">
    <div class="title-wrapper flex-fill">
        <h3 id="heading" class="m-0">Email Settings</h3>
    </div>
    <div class="breadcrumb-container d-flex align-items-center">
        <span>Communications</span>
        <mat-icon class="ml-2 mr-2">chevron_right</mat-icon>
        <span>Email Settings</span>
    </div>

    <mat-card class="mt-2" [formGroup]="formGroup">
        <mat-card-content>
            <div class="d-flex align-items-center">
                <kendo-switch [onLabel]="'Disable'" [offLabel]="'Enable'" formControlName="status"></kendo-switch>
                <span class="ml-4">
                    When enabled this settings the Name and Email address will be applied in the "Email From Address" field of staff of <span class="font-weight-bolder">{{currentLocation}}</span> by default when sending an email. When a client replies to this email, the reply will be sent to this email address.
                </span>
            </div>


            <div style="margin-top: 84px;">

                <div class="d-flex align-items-center">

                    <mat-form-field class="mr-4" appearance="outline" style="width: 413px; max-width: 413px">
                        <mat-label>Name</mat-label>
                        <input matInput type="text" formControlName="displayName" />
                        <mat-hint>The existing name in all email communication by the staff will be replaced with this new name when this email settings is enabled.</mat-hint>

                        <mat-error *ngIf="formGroup.get('displayName').hasError('required')">
                            This field is required.
                        </mat-error>
                    </mat-form-field>

                    <mat-form-field class="ml-4" appearance="outline" style="width: 413px; max-width: 413px">
                        <mat-label>New Business Email</mat-label>
                        <input matInput type="email" formControlName="email" />
                        <mat-hint>The existing email id in all email communication by the staff will be replaced with this new email id when this email settings is enabled.</mat-hint>

                        <mat-error *ngIf="formGroup.get('email').hasError('required')">
                            This field is required.
                        </mat-error>

                        <mat-error *ngIf="formGroup.get('email').hasError('email')">
                            Enter valid email address.
                        </mat-error>
                    </mat-form-field>

                </div>

                <div class="d-flex align-items-center" style="margin-top: 47px;">

                    <button mat-stroked-button style="font-size: 14px;" (click)="cancel()">Cancel</button>
                    <button mat-raised-button class="ml-3" style="font-size: 14px;" [disabled]="formGroup.invalid" (click)="save()">Save Settings</button>

                </div>

            </div>
        </mat-card-content>
    </mat-card>
</div>
